Subject: Re: bug#12702: 24.2; Orgmode Refile complains "Not bookmark format"

From: Glenn Morris <[email-masked]>
Date: Tue, 23 Oct 2012 12:06:31 -0400

Jonathan Schaeffer wrote:

> Sorry, I missed a step : I manualy load the org-mode mode (Alt-x 
> org-mode) before doing anything in the buffer.
> This might be an orgmode bug, from what I read on the internet.

I can reproduce that in Emacs 24.2 and current trunk.

Debugger entered--Lisp error: (wrong-type-argument arrayp nil)
  file-truename(nil)
  find-buffer-visiting(nil)
  org-refile-check-position((#("Entry One" 0 9 (face org-level-1 fontified t))
  org-refile-get-location("Refile subtree \"Refile Me\" to" nil nil nil)
  org-refile(nil)
  call-interactively(org-refile nil nil)

org-refile-check-position does not handle being called from a buffer not
visiting a file.

(Still no idea about the original issue.)